View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012416CDash(No Category)public2011-08-21 20:182011-12-25 18:22
ReporterCraig Scott 
Assigned ToJulien Jomier 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAnyOSAnyOS VersionAny
Product Version1.8 
Target VersionFixed in Version2.0 
Summary0012416: Error logs are never cleared
DescriptionWhen logged in as an administrator, on the "My CDash" page there is an orange exclamation icon next to some projects indicating there have been errors. That's great, except there's no way to clear the errors once they've been looked at and addressed. It appears that these errors are stored in the database itself and that the intention is that only those messages from the last 10 days should be kept (see the end of the cdash/log.php file, specifically the call to $errorLog->Clean(10) and the comment that precedes it). I suspect that the code that is meant to be clearing the log of old messages is not working. Another problem here is that old messages would only be cleared when a new log message arrives. Shouldn't this test be triggered by something that happens daily (eg the first build/test submission of the day)?
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028074)
Julien Jomier (manager)
2011-12-25 18:22

Added button to delete the entire logs from the viewLog page.
Added automatic log removal (10 days) on the first build of the day.

Thanks for the report!

- Issue History
Date Modified Username Field Change
2011-08-21 20:18 Craig Scott New Issue
2011-12-23 09:58 Julien Jomier Assigned To => Julien Jomier
2011-12-23 09:58 Julien Jomier Status new => assigned
2011-12-25 18:22 Julien Jomier Note Added: 0028074
2011-12-25 18:22 Julien Jomier Status assigned => resolved
2011-12-25 18:22 Julien Jomier Fixed in Version => 2.0
2011-12-25 18:22 Julien Jomier Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker